### Function

# EDataServer xml_find_sibling

since: 3.38

#### Declaration [src]

    xmlNode*
    e_xml_find_sibling (
      xmlNode* sibling,
      const gchar* ns_href,
      const gchar* name
    )

#### Description [src]

Searches the sibling nodes of the `sibling` for an element named `name` in namespace `ns_href`. It checks the `sibling` itself too, but it doesn’t check the previous siblings of the `sibling`.

Available since: 3.38

This function is not directly available to language bindings.

#### Parameters

`sibling`

  Type: `xmlNode`

  An #xmlNode, where to start searching.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`ns_href`

  Type: `const gchar*`

  A namespace href the node should have set, or `NULL` for none namespace.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`name`

  Type: `const gchar*`

  An element name to search for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `xmlNode`

An #xmlNode of the given name, or `NULL`, if not found It also returns `NULL`, when the `sibling` is `NULL`.

See: e_xml_find_next_sibling(), e_xml_find_child().

The data is owned by the called function.
The return value can be `NULL`.